Skip to Content
FlowVerifyDevelopers

Send the envelope for signing

Scope envelopes:send. Certifies the documents, emails the first (or every) signer and starts the deadline. Refused when a signer has no fields (state_conflict, details.reason = signer_without_fields), when the plan lacks a required feature (feature_not_available) or when the monthly envelope quota is used up (plan_limit_exceeded).

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid

Header Parameters

Idempotency-Key?string

8–128 chars of letters, digits, _, -, : or .; scoped to your organization, key and path for 24 hours

Length8 <= length <= 128

Request Body

application/json
  1. body
subject?string

Email subject override

Lengthlength <= 500
message?string

Message shown in the signing email

Lengthlength <= 5000
document_type?string

Document type your workspace's approval policies can match on

Lengthlength <= 80
sender_name?string

Sender display name shown in the signing emails (defaults to your workspace's API identity)

Lengthlength <= 120
prefill?array<>

Values for text/date/email fields assigned to a prefill recipient

Itemsitems <= 200

Response Body

The envelope

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X POST 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/send' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "envelope",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reference": "string",    "external_reference": "string",    "name": "string",    "type": "string",    "description": "string",    "folder": "string",    "note_to_recipients": "string",    "status": "draft",    "mode": "send",    "signing_method": "flowverify",    "send_in_order": true,    "days_to_complete": 0,    "expires_at": "2019-08-24T14:15:22Z",    "auto_reminders": true,    "reminder_days": 0,    "allow_comments": true,    "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",    "bulk_group_id": "d79d1808-cde8-4e17-88af-e68d9273ee36",    "recipients": [      {        "object": "recipient",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "phone": "string",        "role": "sign",        "order": 0,        "status": "pending",        "language": "string",        "auth": {          "email_otp": true,          "sms_otp": true        },        "sent_at": "2019-08-24T14:15:22Z",        "viewed_at": "2019-08-24T14:15:22Z",        "signed_at": "2019-08-24T14:15:22Z",        "declined_at": "2019-08-24T14:15:22Z",        "decline_reason": "string"      }    ],    "files": [      {        "object": "file",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "size": 0,        "content_type": "string",        "page_count": 0,        "order": 0,        "fields": [          {            "object": "field",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",            "recipient_id": "b6731cb5-d462-49ea-afb8-7933b670b560",            "type": "signature",            "label": "string",            "page": 0,            "x": 0,            "y": 0,            "width": 0,            "height": 0,            "required": true,            "value": "string",            "is_filled": true          }        ]      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "sent_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "voided_at": "2019-08-24T14:15:22Z",    "declined_at": "2019-08-24T14:15:22Z",    "expired_at": "2019-08-24T14:15:22Z"  }}